Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 8.1 API Reference

## weblogic.management.configuration
Interface SNMPAttributeChangeMBean

public interface SNMPAttributeChangeMBean
extends SNMPTrapSourceMBean

This class describes the settings to receive mbean-attribute change trap.

Author:
  Copyright © 2004 BEA Systems, Inc. All Rights Reserved.

Field Summary
`static long` | `CACHING_STUB_SVUID`

Fields inherited from class weblogic.management.configuration.SNMPTrapSourceMBean
`CACHING_STUB_SVUID`

Fields inherited from class weblogic.management.configuration.ConfigurationMBean
`CACHING_STUB_SVUID, DEFAULT_EMPTY_BYTE_ARRAY`

Method Summary
`java.lang.String` | `getAttributeMBeanName()` Defines the name of the MBean to monitor.
`java.lang.String` | `getAttributeMBeanType()` Defines the type of the MBean to monitor.
`java.lang.String` | `getAttributeName()` Defines the name of the attribute to monitor.
`void` | `setAttributeMBeanName(java.lang.String mbeanname)` Sets the attributeMBeanName attribute of the SNMPAttributeChangeMBean object
`void` | `setAttributeMBeanType(java.lang.String mbeantype)` Sets the attributeMBeanType attribute of the SNMPAttributeChangeMBean object
`void` | `setAttributeName(java.lang.String attributeName)` Sets the attributeName attribute of the SNMPAttributeChangeMBean object

Methods inherited from interface weblogic.management.configuration.SNMPTrapSourceMBean
`addEnabledServer, getEnabledServers, removeEnabledServer, setEnabledServers`

Methods inherited from interface weblogic.management.configuration.ConfigurationMBean
`freezeCurrentValue, getNotes, restoreDefaultValue, setComments, setDefaultedMBean, setNotes, setPersistenceEnabled`

Methods inherited from interface weblogic.management.WebLogicMBean
`getMBeanInfo, getName, getObjectName, getParent, getType, isCachingDisabled, isRegistered, setName, setParent`

Methods inherited from interface javax.management.DynamicMBean
`getAttribute, getAttributes, invoke, setAttribute, setAttributes`

Methods inherited from interface javax.management.MBeanRegistration
`postDeregister, postRegister, preRegister`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Field Detail

### CACHING_STUB_SVUID

    public static final long CACHING_STUB_SVUID

Method Detail

### getAttributeMBeanType

    public java.lang.String getAttributeMBeanType()

  Defines the type of the MBean to monitor.

  Legal Value: (value != null) && (value.trim().length() > 0)
  Returns:
    The attributeMBeanType value

### setAttributeMBeanType

    public void setAttributeMBeanType(java.lang.String mbeantype)
                               throws javax.management.InvalidAttributeValueException,
                                      ConfigurationException

  Sets the attributeMBeanType attribute of the SNMPAttributeChangeMBean object

  Legal Values: SNMPConstants.CONFIGMBEANS
  Parameters:
    `mbeantype` - The new attributeMBeanType value
  Throws:
    javax.management.InvalidAttributeValueException -
    ConfigurationException -

### getAttributeMBeanName

    public java.lang.String getAttributeMBeanName()

  Defines the name of the MBean to monitor.

  Legal Value: (value != null) && (value.trim().length() > 0)
  Returns:
    The attributeMBeanName value

### setAttributeMBeanName

    public void setAttributeMBeanName(java.lang.String mbeanname)
                               throws javax.management.InvalidAttributeValueException,
                                      ConfigurationException

  Sets the attributeMBeanName attribute of the SNMPAttributeChangeMBean object

  Parameters:
    `mbeanname` - The new attributeMBeanName value
  Throws:
    javax.management.InvalidAttributeValueException -
    ConfigurationException -

### getAttributeName

    public java.lang.String getAttributeName()

  Defines the name of the attribute to monitor.

  Legal Value: (value != null) && (value.trim().length() > 0)
  Returns:
    The attributeName value

### setAttributeName

    public void setAttributeName(java.lang.String attributeName)
                          throws javax.management.InvalidAttributeValueException,
                                 ConfigurationException

  Sets the attributeName attribute of the SNMPAttributeChangeMBean object

  Parameters:
    `attributeName` - The new attributeName value
  Throws:
    javax.management.InvalidAttributeValueException -
    ConfigurationException -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs81
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD